curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY"
}
}'
{
"webhooks": [
{
"createTime": "2024-03-29T20:02:28.000Z",
"changeTime": "2024-03-29T20:02:28.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": true,
"approved": true,
"signed": true,
"fullySigned": true
}
],
"code": "201",
"message": "Webhooks found"
}
Webhook
List of webhooks
Get a list of all webhooks created for a specific client.
POST
/
api
/
webhook
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY"
}
}'
{
"webhooks": [
{
"createTime": "2024-03-29T20:02:28.000Z",
"changeTime": "2024-03-29T20:02:28.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": true,
"approved": true,
"signed": true,
"fullySigned": true
}
],
"code": "201",
"message": "Webhooks found"
}
Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Response
Array of webhooks.
Show child attribute
Show child attribute
Create time.
Change time.
Webhook’s endpoint.
Webhook’s secret.
Event to listen:
contract.created.Event to listen:
contract.seen.Event to listen:
contract.sent.Event to listen:
contract.approved.Event to listen:
contract.signed.Event to listen:
contract.fully_signed.The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/webhook' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "list",
"clientKey": "YOUR_CLIENT_KEY"
}
}'
{
"webhooks": [
{
"createTime": "2024-03-29T20:02:28.000Z",
"changeTime": "2024-03-29T20:02:28.000Z",
"url": "URL",
"secret": "whsec_123",
"webhookKey": "WEBHOOK_KEY",
"created": true,
"seen": true,
"sent": true,
"approved": true,
"signed": true,
"fullySigned": true
}
],
"code": "201",
"message": "Webhooks found"
}
⌘I